漏洞信息详情

GNUTLS PKCS RSA签名伪造漏洞

  • CNNVD编号:CNNVD-200609-252
  • 危害等级: 中危
  • CVE编号: CVE-2006-4790
  • 漏洞类型: 设计错误
  • 发布时间: 2006-09-14
  • 威胁类型: 远程
  • 更新时间: 2006-09-18
  • 厂        商: gnu
  • 漏洞来源: Daniel Bleichenbac...

漏洞简介

GnuTLS before 1.4.4中的verify.c,如果使用具有指数3的RSA密钥,在生成杂凑时未适当处理digestAlgorithm.parameters字段中超出的数据,这可让远程攻击者伪造由RSA密钥签署的PKCS #1 v1.5签名,并阻止GnuTLS正确验证X.509和使用PKCS的其他证书。

漏洞公告

目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:

GNU GnuTLS 1.0

GNU gnutls-1.4.4.tar.bz2

ftp://ftp.gnutls.org/pub/gnutls/devel/gnutls-1.4.4.tar.bz2

GNU GnuTLS 1.0.1

GNU gnutls-1.4.4.tar.bz2

ftp://ftp.gnutls.org/pub/gnutls/devel/gnutls-1.4.4.tar.bz2

GNU GnuTLS 1.0.14

GNU gnutls-1.4.4.tar.bz2

ftp://ftp.gnutls.org/pub/gnutls/devel/gnutls-1.4.4.tar.bz2

GNU GnuTLS 1.0.15

GNU gnutls-1.4.4.tar.bz2

ftp://ftp.gnutls.org/pub/gnutls/devel/gnutls-1.4.4.tar.bz2

GNU GnuTLS 1.0.16

GNU gnutls-1.4.4.tar.bz2

ftp://ftp.gnutls.org/pub/gnutls/devel/gnutls-1.4.4.tar.bz2

Ubuntu gnutls-bin_1.0.16-13.1ubuntu1.2_amd64.deb

Ubuntu 5.10:

http://security.ubuntu.com/ubuntu/pool/universe/g/gnutls11/gnutls-bin_ 1.0.16-13.1ubuntu1.2_amd64.deb

Ubuntu gnutls-bin_1.0.16-13.1ubuntu1.2_i386.deb

Ubuntu 5.10:

http://security.ubuntu.com/ubuntu/pool/universe/g/gnutls11/gnutls-bin_ 1.0.16-13.1ubuntu1.2_i386.deb

Ubuntu gnutls-bin_1.0.16-13.1ubuntu1.2_powerpc.deb

Ubuntu 5.10:

http://security.ubuntu.com/ubuntu/pool/universe/g/gnutls11/gnutls-bin_ 1.0.16-13.1ubuntu1.2_powerpc.deb

Ubuntu gnutls-bin_1.0.16-13.1ubuntu1.2_sparc.deb

Ubuntu 5.10:

http://security.ubuntu.com/ubuntu/pool/universe/g/gnutls11/gnutls-bin_ 1.0.16-13.1ubuntu1.2_sparc.deb

Ubuntu gnutls-bin_1.0.16-13ubuntu0.3_amd64.deb

Ubuntu 5.04:

http://security.ubuntu.com/ubuntu/pool/universe/g/gnutls11/gnutls-bin_ 1.0.16-13ubuntu0.3_amd64.deb

Ubuntu gnutls-bin_1.0.16-13ubuntu0.3_i386.deb

Ubuntu 5.04:

http://security.ubuntu.com/ubuntu/pool/universe/g/gnutls11/gnutls-bin_ 1.0.16-13ubuntu0.3_i386.deb

Ubuntu gnutls-bin_1.0.16-13ubuntu0.3_powerpc.deb

Ubuntu 5.04:

http://security.ubuntu.com/ubuntu/pool/universe/g/gnutls11/gnutls-bin_ 1.0.16-13ubuntu0.3_powerpc.deb

Ubuntu libgnutls11-dbg_1.0.16-13.1ubuntu1.2_amd64.deb

Ubuntu 5.10:

http://security.ubuntu.com/ubuntu/pool/universe/g/gnutls11/libgnutls11 -dbg_1.0.16-13.1ubuntu1.2_amd64.deb

Ubuntu libgnutls11-dbg_1.0.16-13.1ubuntu1.2_i386.deb

Ubuntu 5.10:

http://security.ubuntu.com/ubuntu/pool/universe/g/gnutls11/libgnutls11 -dbg_1.0.16-13.1ubuntu1.2_i386.deb

Ubuntu libgnutls11-dbg_1.0.16-13.1ubuntu1.2_powerpc.deb

Ubuntu 5.10:

http://security.ubuntu.com/ubuntu/pool/universe/g/gnutls11/libgnutls11 -dbg_1.0.16-13.1ubuntu1.2_powerpc.deb

Ubuntu libgnutls11-dbg_1.0.16-13.1ubuntu1.2_sparc.deb

Ubuntu 5.10:

http://security.ubuntu.com/ubuntu/pool/universe/g/gnutls11/libgnutls11 -dbg_1.0.16-13.1ubuntu1.2_sparc.deb

Ubuntu libgnutls11-dbg_1.0.16-13ubuntu0.3_amd64.deb

Ubuntu 5.04:

http://security.ubuntu.com/ubuntu/pool/universe/g/gnutls11/libgnutls11 -dbg_1.0.16-13ubuntu0.3_amd64.deb

Ubuntu libgnutls11-dbg_1.0.16-13ubuntu0.3_i386.deb

Ubuntu 5.04:

http://security.ubuntu.com/ubuntu/pool/universe/g/gnutls11/libgnutls11 -dbg_1.0.16-13ubuntu0.3_i386.deb

Ubuntu libgnutls11-dbg_1.0.16-13ubuntu0.3_powerpc.deb

Ubuntu 5.04:

http://security.ubuntu.com/ubuntu/pool/universe/g/gnutls11/libgnutls11 -dbg_1.0.16-13ubuntu0.3_powerpc.deb

Ubuntu libgnutls11-dbg_1.0.16-14ubuntu1.1_sparc.deb

Ubuntu 6.06 LTS:

http://security.ubuntu.com/ubuntu/pool/universe/g/gnutls11/libgnutls11 -dbg_1.0.16-14ubuntu1.1_sparc.deb

Ubuntu libgnutls11-dev_1.0.16-13.1ubuntu1.2_amd64.deb

Ubuntu 5.10:

http://security.ubuntu.com/ubuntu/pool/main/g/gnutls11/libgnutls11-dev _1.0.16-13.1ubuntu1.2_amd64.deb

Ubuntu libgnutls11-dev_1.0.16-13.1ubuntu1.2_i386.deb

Ubuntu 5.10:

http://security.ubuntu.com/ubuntu/pool/main/g/gnutls11/libgnutls11-dev _1.0.16-13.1ubuntu1.2_i386.deb

Ubuntu libgnutls11-dev_1.0.16-13.1ubuntu1.2_powerpc.deb

Ubuntu 5.10:

http://security.ubuntu.com/ubuntu/pool/main/g/gnutls11/libgnutls11-dev _1.0.16-13.1ubuntu1.2_powerpc.deb

Ubuntu libgnutls11-dev_1.0.16-13.1ubuntu1.2_sparc.deb

Ubuntu 5.10:

http://security.ubuntu.com/ubuntu/pool/main/g/gnutls11/libgnutls11-dev _1.0.16-13.1ubuntu1.2_sparc.deb

Ubuntu libgnutls11-dev_1.0.16-13ubuntu0.3_amd64.deb

Ubuntu 5.04:

http://security.ubuntu.com/ubuntu/pool/main/g/gnutls11/libgnutls11-dev _1.0.16-13ubuntu0.3_amd64.deb

Ubuntu libgnutls11-dev_1.0.16-13ubuntu0.3_i386.deb

Ubun

参考网址

来源: REDHAT

名称: RHSA-2006:0680

链接:http://www.redhat.com/support/errata/RHSA-2006-0680.html

来源: www.gnu.org

链接:http://www.gnu.org/software/gnutls/security.html

来源: MLIST

名称: [gnutls-dev] 20060912 Re: Variant of Bleichenbacher's crypto 06 rump session attack

链接:http://lists.gnupg.org/pipermail/gnutls-dev/2006-September/001212.html

来源: MLIST

名称: [gnutls-dev] 20060908 Variant of Bleichenbacher's crypto 06 rump session attack

链接:http://lists.gnupg.org/pipermail/gnutls-dev/2006-September/001205.html

来源: XF

名称: gnutls-rsakey-security-bypass(28953)

链接:http://xforce.iss.net/xforce/xfdb/28953

来源: UBUNTU

名称: USN-348-1

链接:http://www.ubuntu.com/usn/usn-348-1

来源: BID

名称: 20027

链接:http://www.securityfocus.com/bid/20027

来源: SUSE

名称: SUSE-SA:2007:010

链接:http://www.novell.com/linux/security/advisories/2007_10_ibmjava.html

来源: SUSE

名称: SUSE-SR:2006:023

链接:http://www.novell.com/linux/security/advisories/2006_23_sr.html

来源: MANDRIVA

名称: MDKSA-2006:166

链接:http://www.mandriva.com/security/advisories?name=MDKSA-2006:166

来源: VUPEN

名称: ADV-2007-2289

链接:http://www.frsirt.com/english/advisories/2007/2289

来源: VUPEN

名称: ADV-2006-3899

链接:http://www.frsirt.com/english/advisories/2006/3899

来源: VUPEN

名称: ADV-2006-3635

链接:http://www.frsirt.com/english/advisories/2006/3635

来源: DEBIAN

名称: DSA-1182

链接:http://www.debian.org/security/2006/dsa-1182

来源: support.avaya.com

链接:http://support.avaya.com/elmodocs2/security/ASA-2006-250.htm

来源: SUNALERT

名称: 102970

链接:http://sunsolve.sun.com/search/document.do?assetkey=1-26-102970-1

来源: SUNALERT

名称: 102648

链接:http://sunsolve.sun.com/search/document.do?assetkey=1-26-102648-1

来源: SECTRACK

名称: 1016844

链接:http://securitytracker.com/id?1016844

来源: GENTOO

名称: GLSA-200609-15

链接:http://security.gentoo.org/glsa/glsa-200609-15.xml

来源: SECUNIA

名称: 25762

链接:http://secunia.com/advisories/25762

来源: SECUNIA

名称: 22992

链接:http://secunia.com/advisories/22992

来源: SECUNIA

名称: 22226

链接:http://secunia.com/advisories/22226

来源: SECUNIA

名称: 22097

链接:http://secunia.com/advisories/22097

来源: SECUNIA

名称: 22084

链接:http://secunia.com/advisories/22084

来源: SECUNIA

名称: 22080

链接:http://secunia.com/advisories/22080

来源: SECUNIA

名称: 22049

链接:http://secunia.com/advisories/22049

来源: SECUNIA

名称: 21973

链接:http://secunia.com/advisories/21973

来源: SECUNIA

名称: 21942

链接:http://secunia.com/advisories/21942

来源: SECUNIA

名称: 21937

链接:http://secunia.com/advisories/21937

来源: MANDRIVA

名称: MDKSA-2006:166

链接:http://frontal2.mandriva.com/security/advisories?name=MDKSA-2006:166

补丁

    暂无

漏洞信息快速查询

相关漏洞

更多